miniupnpd (2.3.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix nftables scripts (Closes: #994726).
  * Split miniupnpd_functions.sh for each backend. (Closes: #1039054).
  * Add Romanian debconf translaiton, thanks to "Remus-Gabriel Chelu"
    <remusgabriel.chelu@disroot.org> (Closes: #1032727).

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Aug 2023 07:27:24 +0800

miniupnpd (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Detect MS client and forcing IGD v1 (Closes: #1008796).
  * Fix systemd unit file (Closes: #1008797).
  * Update Spanish debconf translation, thanks to Camaleón <noelamac@gmail.com>
    (Closes: #1017459).
  * Bump Standards-Version to 4.6.2.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 22 Dec 2022 00:38:53 +0800

miniupnpd (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:22:46 +0200

miniupnpd (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable leasefile.
  * debian/miniupnpd-startstop-helper.sh: Detect nftables without iptables
    (Closes: #992603).
  * Fix FTCBFS: Let dpkg's buildtools.mk supply cross tools (Closes: #982259).
  * Start service in background for systemd unit file (Closes: #981236).
  * Update Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #987229).
    - Swedish, Martin Bagge / brother (Closes: #995298).
  * Bump Standards-Version to 4.6.0.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 03 Oct 2021 13:50:36 +0800

miniupnpd (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 21:48:54 +0800

miniupnpd (2.2.0-1) experimental; urgency=medium

  * New upstream release (Closes: #973511).
    - Fix iptables-init.sh for POSTROUTING (Closes: #955779).
  * Remove dep of net-tools (Closes: #961701).
  * Provide iptables and nftables-backended binaries (Closes: #961723).
  * Disable leasefile (Closes: #961877).
  * Harden systemd service (Closes: #962088).
  * Bump debhelper compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Add upstream metadata.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 17 Nov 2020 22:17:01 +0800

miniupnpd (2.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Thomas Goirand ]
  * Added a debian/salsa-ci.yml

  [ Laurent Bigonville ]
  * Cherry-pick patches from upstream to fix FTBFS with linux > 5.0
    (Closes: #931978)
  * Update the French debconf translation (Closes: #935152)
  * Update the Italian debconf translation (Closes: #952802)
  * Remove iptables-dev from the BD, add libiptc-dev and libxtables-dev
    instead (Closes: #946150)
  * debian/miniupnpd.service: Pass -d to miniupnpd and set Type to simple.
    That way systemd will detect whether the process is exiting with a
    non-zero code or not and properly track the it.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Mar 2020 14:11:07 +0100

miniupnpd (2.1-6) unstable; urgency=medium

  * Add upstream patches for CVE-2019-12107 CVE-2019-12108 CVE-2019-12109
    CVE-2019-12110 CVE-2019-12111 (Closes: #930050).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Jun 2019 00:37:36 +0200

miniupnpd (2.1-5) unstable; urgency=medium

  * Update Danish Debconf translation, thanks to Joe Dalton (Closes: #923134).

 -- Yangfl <mmyangfl@gmail.com>  Wed, 27 Feb 2019 14:55:02 +0800

miniupnpd (2.1-4) unstable; urgency=medium

  * Fix autopkgtest.
  * Update Debconf translations, with thanks to:
    - Portuguese, Américo Monteiro (Closes: #919211).
    - German, Chris Leick (Closes: #919784).
    - Dutch, Frans Spiesschaert (Closes: #920431).
    - Vietnamese, Trần Ngọc Quân.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 08 Jan 2019 15:16:49 +0800

miniupnpd (2.1-3) unstable; urgency=medium

  * Remove START_DAEMON in /etc/default/miniupnpd.
  * Update Debconf translations, with thanks to:
    - Dutch, Frans Spiesschaert (Closes: #906940).
    - German, Chris Leick (Closes: #907588).
    - French, Baptiste Jammet (Closes: #908901).
    - Portuguese, Américo Monteiro (Closes: #910456).
  * Add autopkgtest.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Jan 2019 21:42:58 +0800

miniupnpd (2.1-2) unstable; urgency=medium

  * Disable kfreebsd-any due to lack of iptables.
  * Remove obsolete default file in favor of debconf.
  * Add debconf option for `force_igd_desc_v1'.
  * Fix sed command bug in postinst (Closes: #901632).
  * debian/miniupnpd.config: Always prefer configs in debconf to prevent config
    loss during fresh installation.
  * debian/rules: Disable auto enabling systemd service.
  * Bump Standards-Version to 4.2.0.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Aug 2018 16:23:40 +0800

miniupnpd (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable hurd-any due to lack of rt_msghdr and RTM_*.
  * Add --igd2 back, since 'force_igd_desc_v1' is now available.
  * Deprecate MiniUPnPd_EXTERNAL_INTERFACE and MiniUPnPd_LISTENING_IP in
    /etc/default/miniupnpd (Closes: #891088).
  * Add systemd service file.
  * Add Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #891168).
    - Dutch, Frans Spiesschaert (Closes: #899025).
  * Update patch file.
  * Bump Standards-Version to 4.1.4.
  * debian/watch: Check for PGP signature.
  * debian/watch: Only watch for release versions.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 12 Jun 2018 11:39:08 +0800

miniupnpd (2.0.20171212-2) unstable; urgency=medium

  * Removed --igd2 option when building, as per recommendation from upstream.
    The igd2 protocol is basically a failure, and we should not use it, as it
    breaks igd1 clients.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 10:02:25 +0000

miniupnpd (2.0.20171212-1) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release (Closes: #850411).
    - Fix V6SOCKETS_ARE_V6ONLY on Linux (Closes: #771918)
    - Default reverted to UDA 1.1 (Closes: #885960)
    - Fix CVE-2017-1000494 (Closes: #887129)
  * Enable manufacturer info configuration (Closes: #877564).
  * Allow IPv4 listening specify (Closes: #885825).
  * Bumped Standards-Version.

  [ Thomas Goirand ]
  * Fixed VCS URLs to point to Salsa.
  * Ran wrap-and-sort -bast.
  * Fixed debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 16:39:16 +0000

miniupnpd (1.8.20140523-4) unstable; urgency=high

  * Fixes multiple vulnerabilities (Closes: #772644).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Dec 2014 22:29:04 +0800

miniupnpd (1.8.20140523-3) unstable; urgency=medium

  * Do not install the configuration file in /etc/miniupnpd, use /usr/share
    instead, so that miniupnpd.conf isn't CONFFILE (Closes: #767646).
  * Do not use /usr/share/doc/miniupnpd/examples to get our default config
    file, which isn't policy compliant, but use /usr/share/miniupnpd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Nov 2014 16:35:36 +0800

miniupnpd (1.8.20140523-2) unstable; urgency=medium

  * Removed $all from init script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Jul 2014 07:08:43 +0000

miniupnpd (1.8.20140523-1) unstable; urgency=medium

  * New upstream release (Closes: #749392).
  * Standards-Version: bumped to 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 09:35:49 +0000

miniupnpd (1.8.20130730-3) unstable; urgency=medium

  * Now depending on iproute2 instead of iproute.
  * Added Italian debconf translaiton (Closes: #724684).
  * Added Spanish debconf translation, thanks to "Matias A. Bellone"
    <matiasbellone+debian@gmail.com> (Closes: #733065).
  * Added Swedish debconf translation, thanks to Martin Bagge
    <brother@bsnet.se> (Closes: #727185).
  * Fixed postinst that is destroying the default file (Closes: #726915).
  * Fixed wrong directive for enabling ipv6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 16:10:53 +0800

miniupnpd (1.8.20130730-2) unstable; urgency=low

  * Added the review from the intl team (Closes: #719950).
  * Added Debconf translations, with thanks to:
    - Japanese, victory (Closes: #724310).
    - Portuguese, Traduz (Closes: #724029).
    - French, Baptiste Jammet (Closes: #723768).
    - German, Chris Leick (Closes: #723147).
    - Czech, Michal Šimůnek (Closes: #723025).
    - Russian, Yuri Kozlov (Closes: #722602).
    - Danish, Joe Dalton (Closes: #722278).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2013 23:30:11 +0800

miniupnpd (1.8.20130730-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release fixing CVE-2013-2600: MiniUPnPd versions 1.8 and
    earlier are prone to an information disclosure vulnerability due to
    improper use of snprintf() while preparing SSDP responses. An attacker can
    exploit this vulnerability by sending a crafted request with a long ST
    header. If the header is long enough, the SSDP response buffer will be
    truncated by snprintf() and the subsequent sendto() call will read off the
    end of the buffer thereby disclosing the contents of adjacent memory. This
    response can reveal details of internal network topology as well as other
    activity on the target network. Fix at:
    .
    https://github.com/miniupnp/miniupnp/commit/18887cb1e49295e69c308d8bb1f2526798a77429
    .
    Correctly handle truncated snprintf() in SSDP code (Closes: #716936,
    #686537).
  * Now packaging using pristine-tar git-import-orig.
  * Added new IPv6 rules in the init script, and its configuration through
    debconf (Closes: #686287).
  * Fixed the clean process.
  * Removes now obsolete patches.
  * Build-Depends on libnfnetlink-dev.
  * Standards-Version: 3.9.4.
  * Canonical URLs for VCS feilds.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2013 11:16:15 +0800

miniupnpd (1.7-4) experimental; urgency=low

  * Rewrite the debconf text for the external interface, which was completely
  wrong: it was asking for the LAN interface, when in fact, what was required
  was the name of the WAN interface. Also makes other Debconf questions more
  clear, writing WAN and LAN when needed (Closes: #685652).
  * Now guessed the name of the WAN interface using route (and depends on
  net-tools as a consequence).
  * Enables IPv6 and IGDv2 support build options (Closes: #685651, #685650).
  * Added display-po-stats and display-po-stats rules target.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2012 11:45:03 +0000

miniupnpd (1.7-3) experimental; urgency=low

  * Added debconf support for maintaining /etc/default/miniupnpd.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2012 09:17:20 +0000

miniupnpd (1.7-2) experimental; urgency=low

  * Only calls sed for putting a uuid if there's no value for the uuid
  in the configuration file.
  * Removes hardening option from debian/rules.
  * Fixed postinst so that it copies miniupnpd.conf from the correct location.
  Thanks to Andreas Beckmann for reporting (Closes: #685191).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Aug 2012 07:12:45 +0000

miniupnpd (1.7-1) experimental; urgency=low

  * Initial release (Closes: #658434).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jul 2012 20:16:37 +0000
